#include "prjlibs-include/standards.h"
#include <unistd.h>
#include <errno.h>

#include <skalibs/stddjb.h>
#include "prjlibs-include/constants.h"
#include "prjlibs-include/diewarn.h"
#include "runwhen.h"

extern char const* PROG;

void rw_pass(tain const* t, char** argv) {
  char buf[2*TAIN_PACK+1];

  buf[tain_fmt(buf, t)]='\0';

  if (argv[0]==NULLP) {
    if (buffer_puts(buffer_1, buf)<0 ||
        buffer_putsflush(buffer_1, "\n")<0)
      DIE1(write, "to standard output");
    _exit(0);
  }

  if (env_mexec(argv[0], buf)==0) DIE0(alloc);
  ++argv;
  mexec((char const**)argv);
  DIE1(exec, argv[0]);
}
